## bind9 9.11.5.P4+dfsg

=== debian/changelog ===
bind9 (1:9.11.5.P4+dfsg-5.1+deb10u11) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.

  [ Ola Lundqvist ]
  * CVE-2023-50387 and CVE-2023-50868
    Specific DNS answers could cause a denial-of-service
    condition due to DNS validation taking a long time.
    (CVE-2023-50387)
    The same code change also addresses another problem:
    preparing NSEC3 closest encloser proofs could exhaust
    available CPU resources. (CVE-2023-50868)

  [ Santiago Ruano Rincón ]
  * Add debian/gbp.conf to match buster branches
  * Correct the use of the debian revision in the newly added symbols in
    libdns1104.symbols

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 17 May 2024 12:43:53 -0300

bind9 (1:9.11.5.P4+dfsg-5.1+deb10u10) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2023-3341
    A stack exhaustion flaw was discovered in the control channel code
    which may result in denial of service (named daemon crash).

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 29 Jan 2024 22:03:02 +0100

bind9 (1:9.11.5.P4+dfsg-5.1+deb10u9) buster-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team.
  * CVE-2023-2828: It was discovered that the effectiveness of the
    cache-cleaning algorithm used in named(5) can be severely diminished by
    querying the resolver for specific RRsets in a certain order, effectively
    allowing the configured max-cache-size limit to be significantly exceeded.
  * Add debian/.gitlab-ci.yml
  * Allow blhc failures; "CPPFLAGS missing", etc.
  * Backport a1dbd6d68 and ef4eef07f4 from bind9.git to make autopkgtests pass.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Jul 2023 17:14:33 +0100

bind9 (1:9.11.5.P4+dfsg-5.1+deb10u8) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2022-2795: degraded performance when processing large delegations.
  * CVE-2022-38177: memory leak in ECDSA verification.
  * CVE-2022-38178: memory leak in EdDSA verification.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 05 Oct 2022 11:07:30 +0200

bind9 (1:9.11.5.P4+dfsg-5.1+deb10u7) buster-security; urgency=high

  * CVE-2021-25220: The rules for acceptance of records into the cache
    have been tightened to prevent the possibility of poisoning if
    forwarders send records outside the configured bailiwick.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Mar 2022 15:21:48 +0100

bind9 (1:9.11.5.P4+dfsg-5.1+deb10u6) buster-security; urgency=high

  * CVE-2021-25219: The "lame-ttl" option is now forcibly set to 0. This
    effectively disables the lame server cache, as it could previously be
    abused by an attacker to significantly degrade resolver performance.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Oct 2021 13:42:31 +0200

bind9 (1:9.11.5.P4+dfsg-5.1+deb10u5) buster-security; urgency=high

  * CVE-2021-25214: A malformed incoming IXFR transfer could trigger
    an assertion failure in ``named``, causing it to quit abnormally.
  * CVE-2021-25215: ``named`` crashed when a DNAME record placed in
    the ANSWER section during DNAME chasing turned out to be the final
    answer to a client query.
  * CVE-2021-25216: Compile with system provided SPNEGO
  * Ensure all resources are properly cleaned up when a call to
    gss_accept_sec_context() fails.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 29 Apr 2021 12:42:26 +0200

bind9 (1:9.11.5.P4+dfsg-5.1+deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Buffer overflow in GSSAPI security policy negotiation (CVE-2020-8625)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 15 Feb 2021 08:51:28 +0100

bind9 (1:9.11.5.P4+dfsg-5.1+deb10u2) buster-security; urgency=high

  [ Salvatore Bonaccorso ]
  * [CVE-2020-8622] Properly handle malformed truncated responses to TSIG
    queries
  * [CVE-2020-8623] Fix crash in pk11_numbits() with crafted packet when
    native-pkcs11 is used
  * Wait more than 1 second for NSEC3 chain changes
  * [CVE-2020-8624] Fix processing of "update-policy" rules of type
    "subdomain" (Closes: #966497)

  [ Ondřej Surý ]
  * [CVE-2020-8619]: It was possible to trigger a INSIST when a zone with
    interior (non-leaf) wildcard label

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 25 Aug 2020 10:10:23 +0200

bind9 (1:9.11.5.P4+dfsg-5.1+deb10u1) buster-security; urgency=high

  * [CVE-2019-6477]: TCP-pipelined queries can bypass tcp-clients limit.
    (Closes: #945171)
  * [CVE-2020-8616]: Fix NXNSATTACK amplification attack on BIND 9
  * [CVE-2020-8617]: Fix assertion failure in TSIG processing code

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 May 2020 10:02:41 +0200

bind9 (1:9.11.5.P4+dfsg-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * move item_out test inside lock in dns_dispatch_getnext() (CVE-2019-6471)
    (Closes: #930746)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 21 Jun 2019 11:24:31 +0200

bind9 (1:9.11.5.P4+dfsg-5) unstable; urgency=medium

  * AppArmor: Allow /var/tmp/krb5_* (owner-only) for Samba AD DLZ.
    Thanks to Steven Monai (Closes: 928398)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 03 May 2019 19:44:57 +0200

bind9 (1:9.11.5.P4+dfsg-4) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * AppArmor: Also add /var/lib/samba/bind-dns/dns/** (Closes: #927827)

  [ Ondřej Surý ]
  * [CVE-2018-5743]: Limiting simultaneous TCP clients is ineffective
    (Closes: #927932)
  * Update symbols file for new symbol in libisc
  * Enable EDDSA again, but disable broken Ed448 support (Closes: #927962)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Apr 2019 08:33:13 +0000

bind9 (1:9.11.5.P4+dfsg-3) unstable; urgency=medium

  * More fixes to the AppArmor policy for Samba AD DLZ
    - allow access to /dev/urandom
    - allow locking for dns.keytab
    - fix path to smb.conf

 -- Bernhard Schmidt <berni@debian.org>  Mon, 22 Apr 2019 22:31:06 +0200

bind9 (1:9.11.5.P4+dfsg-2) unstable; urgency=medium

  [ Ondřej Surý ]

