## bind9 9.11.5.P4+dfsg.5

=== debian/changelog ===
bind9 (1:9.11.5.P4+dfsg.5-5.1+deb10u5) unstable; urgency=medium

  * update

 -- Debian DNS Team <team+dns@tracker.debian.org>  Thu, 17 Jun 2021 16:47:16 +0800

bind9 (1:9.11.5.P4+dfsg.5-5.1+deb10u5) buster-security; urgency=medium

  * Update version.
  * 

 -- chenhuixing <chenhuixing@uniontech.com>  Thu, 17 Jun 2021 16:16:19 +0800
