## bind9 9.11.5.P4.2+dfsg.6

=== debian/changelog ===
bind9 (1:9.11.5.P4.2+dfsg.6-5.1+dde) buster-security; urgency=medium

  * fix cve-2021-25200

 -- kongxinglong <kongxinglong@uniontech.com>  Sat, 02 Apr 2022 09:24:00 +0800

bind9 (1:9.11.5.P4.1+dfsg.5-5.1+deb10u6) buster-security; urgency=high

  * CVE-2021-25219: The "lame-ttl" option is now forcibly set to 0. This
    effectively disables the lame server cache, as it could previously be
    abused by an attacker to significantly degrade resolver performance.
    
 -- kongxinglong <kongxinglong@uniontech.com>  Wed, 17 Nov 2021 11:35:24 +0800
