## bind9 9.11.5.P4.3+dfsg.6.1

=== debian/changelog ===
bind9 (1:9.11.5.P4.3+dfsg.6.1-deepin1) unstable; urgency=medium

  * fix 3 CVE issues
    CVE-2022-2795
    CVE-2022-38177 
    CVE-2022-38178

 -- Ding Heng <dingheng@uniontech.com>  Fri, 21 Oct 2022 15:21:04 +0800
