## bind9 9.11.14+dfsg

=== debian/changelog ===
bind9 (1:9.11.14+dfsg-3) unstable; urgency=medium

  * cherry-pick upstream patch to fix FTBFS on armel

 -- Bernhard Schmidt <berni@debian.org>  Thu, 16 Jan 2020 16:58:50 +0100

bind9 (1:9.11.14+dfsg-2) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * Unmark bind9-host as deprecated (Closes: #948139)

  [ Andreas Hasenack ]
  * d/control: drop hardcoded python3 dependency
  * Use iproute2 instead of net-tools

 -- Bernhard Schmidt <berni@debian.org>  Thu, 16 Jan 2020 14:23:27 +0100

bind9 (1:9.11.14+dfsg-1) unstable; urgency=medium

  * New upstream version 9.11.14+dfsg
  * Make lib/dns/gen.c independent of isc/platform.h header

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Dec 2019 09:40:34 +0100

bind9 (1:9.11.13+dfsg-1) unstable; urgency=medium

  * New upstream version 9.11.13+dfsg
  * [CVE-2019-6477]: TCP-pipelined queries can bypass tcp-clients limit
  * Bump the libisc soversion from 1100 to 1104

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Nov 2019 21:20:04 +0100

bind9 (1:9.11.12+dfsg-1) unstable; urgency=medium

  * Remove GPL licensed apport file until one with better license is available
  * Install python files to dist-packages (Courtesy of Jim Popovitch)
  * Remove debian/nslookup.1
  * Remove 4-clause BSD content from the package
  * New upstream version 9.11.12+dfsg

 -- Ondřej Surý <ondrej@sury.org>  Thu, 17 Oct 2019 08:23:46 +0200

bind9 (1:9.11.11+dfsg-1) unstable; urgency=medium

  * New upstream version 9.11.11+dfsg

 -- Ondřej Surý <ondrej@sury.org>  Mon, 23 Sep 2019 11:17:41 +0200

bind9 (1:9.11.10+dfsg-1) unstable; urgency=medium

  * Disable old GeoIP and enable new GeoIP2
  * New upstream version 9.11.10+dfsg
  * Bump libdns SOVERSION to 1107

 -- Ondřej Surý <ondrej@sury.org>  Mon, 26 Aug 2019 08:34:42 +0200

bind9 (1:9.11.9+dfsg-1) unstable; urgency=medium

  * New upstream version 9.11.9+dfsg

 -- Ondřej Surý <ondrej@sury.org>  Thu, 18 Jul 2019 10:00:52 +0200

bind9 (1:9.11.8+dfsg-1) experimental; urgency=medium

  * New upstream version 9.11.8+dfsg
  * Rebase patches for BIND 9.11.8
  * AppArmor: Allow /var/tmp/krb5_* (owner-only) for Samba AD DLZ.
    Thanks to Steven Monai (Closes: 928398)
  * Enable readline support in dnsutils (nslookup and nsupdate)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 07 Jul 2019 21:38:14 +0200

bind9 (1:9.11.7+dfsg-2) experimental; urgency=medium

  * Use absolute srcdir path to protoc-c invocation
  * Fix Debian buster armhf build

 -- Ondřej Surý <ondrej@sury.org>  Tue, 21 May 2019 20:23:03 +0200

bind9 (1:9.11.7+dfsg-1) experimental; urgency=medium

  * New upstream version 9.11.7+dfsg
  * Bump libdns SONAME from 1105 to 1106

 -- Ondřej Surý <ondrej@sury.org>  Tue, 21 May 2019 13:18:10 +0200

bind9 (1:9.11.6.P1+dfsg-1) experimental; urgency=medium

  * New upstream version 9.11.6.P1+dfsg
  * Add patch for atomic support on non-x86 architectures

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Apr 2019 08:52:06 +0000

bind9 (1:9.11.6+dfsg-1) experimental; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 9.11.6+dfsg (Closes: #923984)
  * Update d/gbp.conf for DEP-14
  * Fix the checkapi script
  * Bump libdns SOVERSION from 1104 to 1105
  * Update libdns1105 symbols

  [ Bernhard Schmidt]
  * Add missing pkg-config build-dep

 -- Bernhard Schmidt <berni@debian.org>  Wed, 20 Mar 2019 11:55:34 +0100
