=== debian/control ===
--- 
+++ 
@@ -16,21 +16,22 @@
                libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libdb-dev (>>4.6),
                libfstrm-dev,
-               libgeoip-dev (>= 1.4.6.dfsg-5),
                libidn2-dev,
                libjson-c-dev,
                libkrb5-dev,
                libldap2-dev,
                liblmdb-dev,
+	       libmaxminddb-dev,
                libprotobuf-c-dev,
+               libreadline-dev,
                libssl-dev,
                libtool,
                libxml2-dev,
+               pkg-config,
                protobuf-c-compiler,
                python3,
                python3-distutils,
-               python3-ply,
-		libcmocka-dev
+               python3-ply
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
 Vcs-Git: https://salsa.debian.org/dns-team/bind9.git
@@ -43,13 +44,13 @@
          debconf | debconf-2.0,
          dns-root-data,
          libbind9-161 (= ${binary:Version}),
-         libdns1104 (= ${binary:Version}),
-         libisc1100 (= ${binary:Version}),
+         libdns1107 (= ${binary:Version}),
+         libisc1104 (= ${binary:Version}),
          libisccc161 (= ${binary:Version}),
          libisccfg163 (= ${binary:Version}),
          liblwres161 (= ${binary:Version}),
          lsb-base (>= 3.2-14),
-         net-tools,
+         iproute2,
          netbase,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -66,8 +67,7 @@
 
 Package: bind9utils
 Architecture: any
-Depends: python3,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Description: Utilities for BIND
@@ -86,28 +86,26 @@
 Priority: standard
 Architecture: any
 Depends: libbind9-161 (= ${binary:Version}),
-         libdns1104 (= ${binary:Version}),
-         libisc1100 (= ${binary:Version}),
+         libdns1107 (= ${binary:Version}),
+         libisc1104 (= ${binary:Version}),
          libisccfg163 (= ${binary:Version}),
          liblwres161 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: host
-Description: DNS lookup utility (deprecated)
+Description: Version of 'host' bundled with BIND 9.X
  This package provides /usr/bin/host, a simple utility (bundled with the
  BIND 9.X sources) which can be used for converting domain names to IP
  addresses and the reverse.
- .
- This utility is deprecated, use dig or delv from the dnsutils package.
 
 Package: libbind-dev
 Section: libdevel
 Architecture: any
 Replaces: bind9 (<< 1:9.10.3.dfsg.P2-4)
 Depends: libbind9-161 (= ${binary:Version}),
-         libdns1104 (= ${binary:Version}),
+         libdns1107 (= ${binary:Version}),
          libirs161 (= ${binary:Version}),
-         libisc1100 (= ${binary:Version}),
+         libisc1104 (= ${binary:Version}),
          libisccc161 (= ${binary:Version}),
          libisccfg163 (= ${binary:Version}),
          liblwres161 (= ${binary:Version}),
@@ -122,8 +120,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libdns1104 (= ${binary:Version}),
-         libisc1100 (= ${binary:Version}),
+Depends: libdns1107 (= ${binary:Version}),
+         libisc1104 (= ${binary:Version}),
          libisccfg163 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -135,11 +133,11 @@
  This package delivers the libbind9 shared library used by BIND's daemons and
  clients.
 
-Package: libdns1104
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libisc1100 (= ${binary:Version}),
+Package: libdns1107
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libisc1104 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: DNS Shared Library used by BIND
@@ -154,7 +152,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libisc1100 (= ${binary:Version}),
+Depends: libisc1104 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: DNS Shared Library used by BIND
@@ -165,7 +163,7 @@
  This package delivers the libirs shared library used by BIND's daemons and
  clients.
 
-Package: libisc1100
+Package: libisc1104
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -197,7 +195,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libisc1100 (= ${binary:Version}),
+Depends: libisc1104 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Command Channel Library used by BIND
@@ -212,8 +210,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libdns1104 (= ${binary:Version}),
-         libisc1100 (= ${binary:Version}),
+Depends: libdns1107 (= ${binary:Version}),
+         libisc1104 (= ${binary:Version}),
          libisccc161 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -231,8 +229,8 @@
 Architecture: any
 Depends: bind9-host | host,
          libbind9-161 (= ${binary:Version}),
-         libdns1104 (= ${binary:Version}),
-         libisc1100 (= ${binary:Version}),
+         libdns1107 (= ${binary:Version}),
+         libisc1104 (= ${binary:Version}),
          libisccfg163 (= ${binary:Version}),
          liblwres161 (= ${binary:Version}),
          ${misc:Depends},
@@ -256,9 +254,9 @@
 Section: libdevel
 Architecture: any
 Conflicts: libbind-dev
-Depends: libdns-export1104 (= ${binary:Version}),
+Depends: libdns-export1107 (= ${binary:Version}),
          libirs-export161 (= ${binary:Version}),
-         libisc-export1100 (= ${binary:Version}),
+         libisc-export1104 (= ${binary:Version}),
          libisccc-export161 (= ${binary:Version}),
          libisccfg-export163 (= ${binary:Version}),
          ${misc:Depends}
@@ -269,7 +267,7 @@
  .
  This package delivers development files for the exported BIND libraries.
 
-Package: libdns-export1104
+Package: libdns-export1107
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -282,7 +280,7 @@
  .
  This package delivers the exported libdns shared library.
 
-Package: libdns-export1104-udeb
+Package: libdns-export1107-udeb
 Section: debian-installer
 Architecture: any
 Multi-Arch: same
@@ -313,7 +311,7 @@
 Package-Type: udeb
 Description: Exported IRS library for debian-installer
 
-Package: libisc-export1100
+Package: libisc-export1104
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -327,7 +325,7 @@
  .
  This package delivers the exported libisc shared library.
 
-Package: libisc-export1100-udeb
+Package: libisc-export1104-udeb
 Section: debian-installer
 Architecture: any
 Multi-Arch: same
@@ -340,7 +338,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libisc-export1100,
+Depends: libisc-export1104,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Command Channel Library used by BIND
+ The Berkeley Internet Name Domain (BIND) implements an Internet domain
