=== debian/rules ===
--- 
+++ 
@@ -71,12 +71,6 @@
 clean_version:
 	if [ -f version.bak ]; then cp version.bak version; fi
 
-override_dh_auto_test:
-	dh_auto_test
-	-make check
-	-make test
-	-make unit
-
 override_dh_autoreconf: prepare_native_pkcs11 prepare_version
 	dh_autoreconf
 
@@ -95,12 +89,11 @@
 		--with-gost=no \
 		--with-openssl=/usr \
 		--with-gssapi=/usr \
-		--disable-isc-spnego \
 		--with-libidn2 \
 		--with-libjson=/usr \
 		--with-lmdb=/usr \
 		--with-gnu-ld \
-		--with-geoip=/usr \
+		--with-geoip2 \
 		--with-atf=no \
 		--enable-ipv6 \
 		--enable-rrl \
@@ -109,7 +102,6 @@
 		--with-pkcs11=\$${prefix}/lib/softhsm/libsofthsm2.so \
 		--with-randomdev=/dev/urandom \
 		--enable-dnstap \
-		--with-cmocka
 		$(EXTRA_FEATURES)
 	dh_auto_configure -B build-udeb -- \
 		--sysconfdir=/etc/bind \
@@ -128,7 +120,6 @@
 		--enable-shared \
 		--with-libtool \
 		--with-gssapi=no \
-		--disable-isc-spnego \
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
 		--includedir=/usr/include/bind-export
 	sh debian/apply-export-patch
