## bind9 9.16.0

=== debian/changelog ===
bind9 (1:9.16.0-1ubuntu5) focal; urgency=medium

  * d/control, d/rules: enable GeoIP2 support, since libmaxminddb is now
    in main (LP: #1866875)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 16 Mar 2020 16:17:47 -0300

bind9 (1:9.16.0-1ubuntu4) focal; urgency=medium

  * d/p/bind-v9.16.0-tcp_quota_fix.patch: fix error in handling TCP
    client quota limits (LP: #1866378)
  * d/p/Fix-dns_client_addtrustedkey.patch: fix buffer size in
    dns_client_addtrustedkey (LP: #1866384)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 06 Mar 2020 15:12:56 -0300

bind9 (1:9.16.0-1ubuntu3) focal; urgency=medium

  * d/control: make bind9-dnsutils multi-arch foreign as another step
    towards fixing LP: #1864761

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 26 Feb 2020 20:19:40 -0300

bind9 (1:9.16.0-1ubuntu2) focal; urgency=medium

  * d/t/control: change the dep8 test dependency to be on the real
    bind9-dnsutils package, and not the transitional one (LP: #1864761)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 26 Feb 2020 14:16:04 -0300

bind9 (1:9.16.0-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/libdns1104.symbols: don't include dnstap symbols
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: buil-depends on dh-apport and use it
    - d/control, d/rules: go back to old geoip support, since
      libmaxminddb (for GeoIP2) is in universe
  * Added back from sid packaging:
    - d/t/control, d/t/simpletest: bring back the dep8 test from
      debian/sid, with our delta to not query external hosts
    - use iproute2 instead of net-tools (LP #1850699):
      + d/control: replace net-tools depends with iproute2
      + d/bind9.init: use ip instead of ifconfig
    - d/control: drop hardcoded python3 dependency
      (LP #1856211, Closes #946643)
    - d/extras/apparmor.d/usr.sbin.named:
      + Add flags=(attach_disconnected) to AppArmor profile
      + AppArmor: Allow /var/tmp/krb5_* (owner-only) for Samba AD DLZ
        (Closes: #928398)
    - d/rules: fix typo in the apparmor profile installation
  * Added:
    - d/control: create transitional packages for dnsutils, bind9utils
    - d/NEWS: mention some of the bigger changes in 9.16.0 packaging
    - d/control: Enable readline-like support in dnsutils (nslookup and nsupdate)
      via libedit-dev (libreadline has a license conflict with bind)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 24 Feb 2020 11:51:37 -0300

bind9 (1:9.16.0-1) experimental; urgency=medium

  * Change the branch to 9.16
  * New upstream version 9.16.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Feb 2020 10:54:34 +0100

bind9 (1:9.15.8-1) experimental; urgency=medium

  * New upstream version 9.15.8

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Jan 2020 14:58:01 +0100

bind9 (1:9.15.7-1) experimental; urgency=medium

  * Add libuv1-dev, libcmocka-dev, libedit-dev and zlib1g-dev to B-D
  * Update d/watch to use tar.xz
  * New upstream version 9.15.7

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Dec 2019 09:40:52 +0100

bind9 (1:9.15.6-1) experimental; urgency=medium

  * Remove useless patches
  * New upstream version 9.15.6

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Nov 2019 21:58:06 +0100

bind9 (1:9.15.5-1) experimental; urgency=medium

  * New upstream version 9.15.5
  * Install python files to dist-packages (Courtesy of Jim Popovitch)
  * Remove GPL licensed apport file until one with better license is available
  * Remove debian/nslookup.1
  * Remove 4-clause BSD content from the package

 -- Ondřej Surý <ondrej@sury.org>  Thu, 17 Oct 2019 08:41:55 +0200

bind9 (1:9.15.4-1) unstable; urgency=medium

  * New upstream version 9.15.4

 -- Ondřej Surý <ondrej@sury.org>  Mon, 23 Sep 2019 11:54:32 +0200

bind9 (1:9.15.3-2) unstable; urgency=medium

  * Fix the section for bind9 alias in the systemd unit [GL #1193]

 -- Ondřej Surý <ondrej@sury.org>  Wed, 28 Aug 2019 21:35:44 +0200

bind9 (1:9.15.3-1) unstable; urgency=medium

  * New upstream version 9.15.3
  * isc-config has been removed, remove it from the debian/

 -- Ondřej Surý <ondrej@sury.org>  Mon, 26 Aug 2019 10:26:41 +0200

bind9 (1:9.15.2-2) unstable; urgency=medium

  * Tighten libmaxminddb-dev dependency
  * Install the tmpfile for named service again

 -- Ondřej Surý <ondrej@sury.org>  Wed, 07 Aug 2019 11:11:13 +0200

bind9 (1:9.15.2-1) unstable; urgency=medium

  * New upstream version 9.15.2
  * Disable old GeoIP and enable new GeoIP2

 -- Ondřej Surý <ondrej@sury.org>  Thu, 18 Jul 2019 10:09:29 +0200

bind9 (1:9.15.1-2) experimental; urgency=medium

  * Change --with-json=/usr to --with-json-c (and use pkg-config)

 -- Ondřej Surý <ondrej@sury.org>  Thu, 20 Jun 2019 00:34:27 +0200

bind9 (1:9.15.1-1) experimental; urgency=medium

  * New upstream version 9.15.1
  * Rebase patches for 9.15.1

 -- Ondřej Surý <ondrej@sury.org>  Thu, 20 Jun 2019 00:27:55 +0200

bind9 (1:9.15.0-2) experimental; urgency=medium

  * Fix Debian buster armhf build

 -- Ondřej Surý <ondrej@sury.org>  Tue, 21 May 2019 20:04:34 +0200

bind9 (1:9.15.0-1) experimental; urgency=medium

  * Update debian/ for BIND 9.15
  * New upstream version 9.15.0

 -- Ondřej Surý <ondrej@sury.org>  Tue, 21 May 2019 13:19:38 +0200

bind9 (1:9.14.2-1) experimental; urgency=medium

  * Make named.service to be known as bind9.service
  * New upstream version 9.14.2

 -- Ondřej Surý <ondrej@sury.org>  Tue, 21 May 2019 13:08:43 +0200

bind9 (1:9.14.1-1) experimental; urgency=medium


